Bug 45841 - [patch] x11-wm/wmx compile and run-time errors on 5.0
Summary: [patch] x11-wm/wmx compile and run-time errors on 5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-29 21:50 UTC by Mikko Tyolajarvi
Modified: 2002-12-10 16:23 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (109 bytes, patch)
2002-11-29 21:50 UTC, Mikko Tyolajarvi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikko Tyolajarvi 2002-11-29 21:50:01 UTC
  Port won't compile.  Generates X-errors and window decorations get
  messed up.

Fix: Fix 1:

% cat patch-Menu.C
CommandMenu::CommandMenu(WindowManager *manager, XEvent *e,
-			 char* otherdir = NULL)
+			 char* otherdir)
     : Menu(manager, e)
 {
     const char *home = getenv("HOME");


Fix 2:

% cat patch-Border.C


int final = rl.count();
-    rl.append(rl.item(final-1));
-    rl.item(final).x -= 1;
-    rl.item(final).y += rl.item(final).height;
-    rl.item(final).width += 1;
-    rl.item(final).height = h - rl.item(final).height + 2;
+    rl.append(rl.item(final-1).x - 1,
+              rl.item(final-1).y + rl.item(final-1).height,
+              rl.item(final-1).width + 1,
+              h - rl.item(final-1).height + 2);

     XShapeCombineRectangles(display(), m_parent, ShapeBounding,
 			    0, 0, rl.xrectangles(), rl.count(),

   $.02,
   /Mikko

 Mikko Tyolajarvi___________________________________________mikkot@pacbell.net--FumSpZPUBj8YKKWtoCoQAowA1xjruzjZNJKpVDNkMsTHU7H4
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Menu.C.org	Fri Nov 29 12:25:19 2002
+++ Menu.C	Fri Nov 29 12:26:57 2002
@@ -588,7 +588,7 @@
How-To-Repeat: 
  Problem 1: compiling

  % cd /usr/ports/x11-wm/wmx
  % make

  [...]
  c++ -c -O -pipe -mcpu=pentiumpro -I/usr/X11R6/include Menu.C
  Menu.C:592: default argument given for parameter 3 of `
     CommandMenu::CommandMenu(WindowManager*, XEvent*, char* = 0)'
  Menu.h:72: after previous specification in `
     CommandMenu::CommandMenu(WindowManager*, XEvent*, char* = 0)'
  *** Error code 1

  Stop in /usr/ports/x11-wm/wmx/work/wmx-5sec6.
  *** Error code 1

  Stop in /usr/ports/x11-wm/wmx.

  Patch included below.


  Problem 2:

  The "active" border and the close button are drawn incorrectly or
  not at all.  Wmx logs errors like:

   wmx: <request-code-128> (0x800023): BadMatch (invalid parameter attributes)

  This can be reproduced on -STABLE as well, with MALLOC_OPTIONS=J.
  Patch with workaround included below.
Comment 1 Tilman Keskinoz freebsd_committer 2002-11-30 16:46:41 UTC
Responsible Changed
From-To: freebsd-ports->arved

I'll handle this
Comment 2 Tilman Keskinoz freebsd_committer 2002-12-10 16:23:33 UTC
State Changed
From-To: open->closed

Committed, thanks